osgDB::RegisterCustomWrapperProxy Class Reference

`#include <ObjectWrapper>`

## Public Types

typedef void(* | AddPropFunc) (const char *, ObjectWrapper *)

## Public Member Functions

| RegisterCustomWrapperProxy (ObjectWrapper::CreateInstanceFunc *createInstanceFunc, const std::string &domain, const std::string &name, const std::string &associates, AddPropFunc func)
virtual | ~RegisterCustomWrapperProxy ()

## Protected Attributes

osg::ref_ptr< ObjectWrapper > | _wrapper

## Member Typedef Documentation

## AddPropFunc

typedef void(* osgDB::RegisterCustomWrapperProxy::AddPropFunc) (const char *, ObjectWrapper *)

## Constructor & Destructor Documentation

## RegisterCustomWrapperProxy()

osgDB::RegisterCustomWrapperProxy::RegisterCustomWrapperProxy | ( | ObjectWrapper::CreateInstanceFunc * | createInstanceFunc,
|  | const std::string & | domain,
|  | const std::string & | name,
|  | const std::string & | associates,
|  | AddPropFunc | func )

## ~RegisterCustomWrapperProxy()

virtual osgDB::RegisterCustomWrapperProxy::~RegisterCustomWrapperProxy | ( |  | ) |

virtual

## Member Data Documentation

## _wrapper

osg::ref_ptr<ObjectWrapper> osgDB::RegisterCustomWrapperProxy::_wrapper

protected

The documentation for this class was generated from the following file:

- ObjectWrapper